# BasicURLNormalizer.Builder (Crawler-commons 1.2 API)
Date: 2021-10-08

crawlercommons.filters.basic

## Class BasicURLNormalizer.Builder

- java.lang.Object
- - crawlercommons.filters.basic.BasicURLNormalizer.Builder

Enclosing class:
  BasicURLNormalizer

    public static class BasicURLNormalizer.Builder
    extends Object

A builder class for the `BasicURLNormalizer`.

### Field Summary

Fields
`BasicURLNormalizer.IdnNormalization` `idnNormalization`

### Method Summary

All Methods Instance Methods Concrete Methods
`BasicURLNormalizer` `build()` Constructs the custom URL normalizer instance.
`BasicURLNormalizer.Builder` `idnNormalization(BasicURLNormalizer.IdnNormalization idnNormalization)` Configures whether internationalized domain names (IDNs) should be converted to ASCII/Punycode or Unicode.
`BasicURLNormalizer.Builder` `queryParamsToRemove(Collection<String> queryParamsToRemove)` A collection of names of query parameters that should be removed from the URL query.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### idnNormalization

    public BasicURLNormalizer.IdnNormalization idnNormalization

### Method Detail

#### queryParamsToRemove

    public BasicURLNormalizer.Builder queryParamsToRemove(Collection<String> queryParamsToRemove)

A collection of names of query parameters that should be removed from the URL query.

Parameters:
  `queryParamsToRemove` -
Returns:
  this builder

#### idnNormalization

    public BasicURLNormalizer.Builder idnNormalization(BasicURLNormalizer.IdnNormalization idnNormalization)

Configures whether internationalized domain names (IDNs) should be converted to ASCII/Punycode or Unicode.

Parameters:
  `idnNormalization` -
Returns:
  this builder

#### build

    public BasicURLNormalizer build()

Constructs the custom URL normalizer instance.

Returns:
  the constructed URL normalizer